Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Alarm Operations

GetAlarmData

GetAlarmData

GET/zstack/v1/zwatch/alarm-histories

Operation ID

GetAlarmData

Since

2.3

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • startTime
    Long

    Optional. The start time.

  • endTime
    Long

    Optional. The end time.

  • limit
    Integer

    Optional. The maximum number of returned records.

  • conditions
    List

    Optional. The conditions to filter the results.

  • count
    boolean

    Optional. Whether to query the message count.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • histories
    ListRequired

    See histories.

    • alarmUuid
      StringRequired

      The alarm UUID.

    • namespace
      StringRequired

      The namespace.

    • metricName
      StringRequired

      The metric name.

    • accountUuid
      StringRequired

      The account UUID.

    • resourceUuid
      StringRequired

      The resource UUID.

    • resourceType
      StringRequired

      The resource type.

    • alarmStatus
      StringRequired

      The alarm status.

    • alarmName
      StringRequired

      The alarm name.

    • threshold
      DoubleRequired

      The alarm threshold.

    • period
      IntegerRequired

      The threshold duration.

    • labels
      StringRequired

      The label list.

    • metricValue
      DoubleRequired

      The metric value.

    • time
      longRequired

      The time that the alarm record was generated.

  • Change Time

    AddedRequest parameters start
    View API